Describe the SCIM features this service provider supports
/scim/v2/directories/{directoryId}/ServiceProviderConfigSCIM 2.0 (RFC 7644 §4). The ServiceProviderConfig a connector reads on connect: PATCH and filtering are supported (at most 500 results), bulk, sort, ETags and password change are not, and authentication is a bearer token pinned to one directory.
Path Parameters
directoryIdstring Required The directory the SCIM token was minted for.
Responses
application/scim+json
schemas *string[]patch *ScimSupportedDtobulk *any object`{ supported: false, maxOperations: 0, maxPayloadSize: 0 }`
filter *any object`{ supported: true, maxResults: 500 }`
changePassword *ScimSupportedDtosort *ScimSupportedDtoetag *ScimSupportedDtoauthenticationSchemes *ScimAuthenticationSchemeDto[]
application/scim+json
schemas *string[]status *stringThe HTTP status, as a string
detail *stringscimTypestringPresent for some refusals, e.g. `uniqueness`
Returned object
curl -X GET "https://auth.canopy-io.com/scim/v2/directories/value/ServiceProviderConfig"
{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig" ], "patch": { "supported": false }, "bulk": {}, "filter": {}, "changePassword": { "supported": false }, "sort": { "supported": false }, "etag": { "supported": false }, "authenticationSchemes": [ { "type": "oauthbearertoken", "name": "string", "description": "string" } ] }
Tell us how we can improve this guide.